//go:build !(windows || plan9 || wasip1 || js || ios)
// +build !windows,!plan9,!wasip1,!js,!ios

// I mean maybe it works for plan9 and ios, I don't know.

package logging

import (
	"log/syslog"

	"r00t2.io/goutils/bitmask"
)

const (
	// devlog is the path to the syslog char device.
	devlog string = "/dev/log"
	// syslogFacility is the facility to use; it's a little like a context or scope if you think of it in those terms.
	syslogFacility syslog.Priority = syslog.LOG_USER
)

// Flags for logger configuration. These are used internally.

// LogUndefined indicates an undefined Logger type.
const LogUndefined bitmask.MaskBit = iota
const (
	// LogJournald flags a SystemDLogger Logger type.
	LogJournald = 1 << iota
	// LogSyslog flags a SyslogLogger Logger type.
	LogSyslog
	// LogFile flags a FileLogger Logger type.
	LogFile
	// LogStdout flags a StdLogger Logger type.
	LogStdout
)
