//go:build !(windows || plan9 || wasip1 || js || ios)
// +build !windows,!plan9,!wasip1,!js,!ios

package logging

import (
	"errors"
	"fmt"
)

var (
	// ErrNoSyslog indicates that the user attempted to add a SyslogLogger to a MultiLogger but syslog's logger device is unavailable.
	ErrNoSyslog error = errors.New("a Syslog Logger was requested but Syslog is unavailable on this system")
	/*
		ErrInvalidDevLog indicates that the user attempted to add a SyslogLogger to a MultiLogger but
		the Syslog char device file is... not actually a char device file.
	*/
	ErrInvalidDevLog error = errors.New(fmt.Sprintf("a Syslog Logger was requested but %v is not a valid logger handle", devlog))
)
